geos::geomgraph::EdgeEndStar Class Referenceabstract

A EdgeEndStar is an ordered list of EdgeEnds around a node. More...

`#include <EdgeEndStar.h>`

Inheritance diagram for geos::geomgraph::EdgeEndStar:

## Public Types

typedef std::set< EdgeEnd *, EdgeEndLT > | container
typedef container::iterator | iterator
typedef container::const_iterator | const_iterator
typedef container::reverse_iterator | reverse_iterator

## Public Member Functions

virtual void | insert (EdgeEnd *e)=0
| Insert a EdgeEnd into this EdgeEndStar.
geom::Coordinate & | getCoordinate ()
const geom::Coordinate & | getCoordinate () const
std::size_t | getDegree ()
iterator | begin ()
iterator | end ()
reverse_iterator | rbegin ()
reverse_iterator | rend ()
const_iterator | begin () const
const_iterator | end () const
container & | getEdges ()
EdgeEnd * | getNextCW (EdgeEnd *ee)
virtual void | computeLabelling (const std::vector< std::unique_ptr< GeometryGraph > > &geomGraph)
bool | isAreaLabelsConsistent (const GeometryGraph &geomGraph)
void | propagateSideLabels (uint32_t geomIndex)
iterator | find (EdgeEnd *eSearch)
virtual std::string | print () const

## Protected Member Functions

void | insertEdgeEnd (EdgeEnd *e)
| Insert an EdgeEnd into the map.

## Protected Attributes

EdgeEndStar::container | edgeMap
| A map which maintains the edges in sorted order around the node.

## Detailed Description

A EdgeEndStar is an ordered list of EdgeEnds around a node.

They are maintained in CCW order (starting with the positive x-axis) around the node for efficient lookup and topology building.

Version
  1.4

## Member Function Documentation

## computeLabelling()

virtual void geos::geomgraph::EdgeEndStar::computeLabelling | ( | const std::vector< std::unique_ptr< GeometryGraph > > & | geomGraph | ) |

virtual

Reimplemented in geos::geomgraph::DirectedEdgeStar.

## getCoordinate()

geom::Coordinate & geos::geomgraph::EdgeEndStar::getCoordinate | ( |  | ) |

Returns
  the coordinate for the node this star is based at or NULL if this is still an unbound star. Be aware that the returned pointer will point to a Coordinate owned by the specific EdgeEnd happening to be the first in the star (ordered CCW)

References edgeMap, and getCoordinate().

Referenced by getCoordinate().

## insert()

virtual void geos::geomgraph::EdgeEndStar::insert | ( | EdgeEnd * | e | ) |

pure virtual

Insert a EdgeEnd into this EdgeEndStar.

Implemented in geos::geomgraph::DirectedEdgeStar, and geos::operation::relate::EdgeEndBundleStar.

The documentation for this class was generated from the following file:

- EdgeEndStar.h